close all
clear all
clc

fc=500;                 %Freq. di campionamento
Tc=1/fc;

cicli=100;              %Numero di cicli da diagrammare
transitorio=800;        %Numeri di cicli da scartare del transitorio

g=9.81;
l=0.2;
omega0=sqrt(g/l);       %Pulsazione naturale del pendolo linare

zeta=0.05;              %Fattore di smorzamaneto sigma/sigma_cr
r=2.5;                  %Rapporto omega/omega_0
lambda=1.3;             %Rapporto X/l

omega=r*omega0;
X=lambda*l;
T=2*pi/omega;           %Periodo dell'azione forzante
Tf=(cicli+transitorio)*T;

x0=0;                   %Condizioni iniziali
xp0=0;

sim('Modello',Tf)

figure
plot(x(:,2),xp(:,2),'o','Markersize',1)     %Diagramma delle traiettorie nello spazio delle fasi
hold on
plot(x(1:T/Tc:cicli*T/Tc,2),xp(1:T/Tc:cicli*T/Tc,2),'o','Markersize',5,'Markerfacecolor','r')     %Sezioni di Poincar
xLabel('\theta')
yLabel('\theta''')
grid
