close all
clear all
clc

fc=50;                 %Freq. di campionamento
Tc=1/fc;

cicli=100;              %Numero di cicli da diagrammare
transitorio=800;        %Numeri di cicli da scartare del transitorio

g=9.81;
l=0.2;
omega0=sqrt(g/l);       %Pulsazione naturale del pendolo linare

zeta=0.05;              %Fattore di smorzamaneto sigma/sigma_cr
r_min=2;               
r_max=3;
r_step=0.01;
lambda=1.3;             %Rapporto X/l


X=lambda*l;


x0=0;                   %Condizioni iniziali
xp0=0;

figure
for r=r_min:r_step:r_max
    omega=r*omega0;
    T=2*pi/omega;           %Periodo dell'azione forzante
    Tf=(cicli+transitorio)*T;

    sim('Modello',Tf)
    plot(r,x(1:T/Tc:cicli*T/Tc,2),'o','Markersize',2,'color','b') 
    hold on
end
xLabel('\theta')
yLabel('\theta''')
grid

